diff --git a/trunk/Pithos.Setup.x86/Pithos.Setup.x86.vdproj b/trunk/Pithos.Setup.x86/Pithos.Setup.x86.vdproj
index 3ba74fa..c356dd0 100644
--- a/trunk/Pithos.Setup.x86/Pithos.Setup.x86.vdproj
+++ b/trunk/Pithos.Setup.x86/Pithos.Setup.x86.vdproj
@@ -2198,13 +2025,22 @@
                             }
                         }
                     }
-                    "{688940B3-5CA9-4162-8DEE-2993FA9D8CBC}:_EBEFFBBAD5A14A288B80FB16070BD348"
+                }
+            }
+            "{DF760B10-853B-4699-99F2-AFF7185B4A62}:_F20F5D3A26814B2F9FA0E549722C223E"
+            {
+            "Name" = "8:#1902"
+            "Sequence" = "3:2"
+            "Attributes" = "3:3"
+                "Dialogs"
+                {
+                    "{688940B3-5CA9-4162-8DEE-2993FA9D8CBC}:_AD92FF2D72A3424C882E3C44383FFE69"
                     {
-                    "Sequence" = "3:200"
-                    "DisplayName" = "8:Installation Folder"
+                    "Sequence" = "3:100"
+                    "DisplayName" = "8:Finished"
                     "UseDynamicProperties" = "11:TRUE"
                     "IsDependency" = "11:FALSE"
-                    "SourcePath" = "8:<VsdDialogDir>\\VsdFolderDlg.wid"
+                    "SourcePath" = "8:<VsdDialogDir>\\VsdAdminFinishedDlg.wid"
                         "Properties"
                         {
                             "BannerBitmap"
@@ -2218,37 +2054,24 @@
                             "Setting" = "3:1"
                             "UsePlugInResources" = "11:TRUE"
                             }
-                            "InstallAllUsersVisible"
-                            {
-                            "Name" = "8:InstallAllUsersVisible"
-                            "DisplayName" = "8:#1059"
-                            "Description" = "8:#1159"
-                            "Type" = "3:5"
-                            "ContextData" = "8:1;True=1;False=0"
-                            "Attributes" = "3:0"
-                            "Setting" = "3:0"
-                            "Value" = "3:1"
-                            "DefaultValue" = "3:1"
-                            "UsePlugInResources" = "11:TRUE"
-                            }
                         }
                     }
                 }
             }
-            "{DF760B10-853B-4699-99F2-AFF7185B4A62}:_E1B49FC18E9243A7B141D1FCA52B1DD6"
+            "{DF760B10-853B-4699-99F2-AFF7185B4A62}:_F407540EB814499BB1961DB2DDC64928"
             {
-            "Name" = "8:#1902"
-            "Sequence" = "3:2"
-            "Attributes" = "3:3"
+            "Name" = "8:#1901"
+            "Sequence" = "3:1"
+            "Attributes" = "3:2"
                 "Dialogs"
                 {
-                    "{688940B3-5CA9-4162-8DEE-2993FA9D8CBC}:_D781C56F241240A58E008A1CC5C6F0E7"
+                    "{688940B3-5CA9-4162-8DEE-2993FA9D8CBC}:_55C9DC6613A24B83B233283DBF9AA037"
                     {
                     "Sequence" = "3:100"
-                    "DisplayName" = "8:Finished"
+                    "DisplayName" = "8:Progress"
                     "UseDynamicProperties" = "11:TRUE"
                     "IsDependency" = "11:FALSE"
-                    "SourcePath" = "8:<VsdDialogDir>\\VsdAdminFinishedDlg.wid"
+                    "SourcePath" = "8:<VsdDialogDir>\\VsdProgressDlg.wid"
                         "Properties"
                         {
                             "BannerBitmap"
@@ -2262,6 +2085,19 @@
                             "Setting" = "3:1"
                             "UsePlugInResources" = "11:TRUE"
                             }
+                            "ShowProgress"
+                            {
+                            "Name" = "8:ShowProgress"
+                            "DisplayName" = "8:#1009"
+                            "Description" = "8:#1109"
+                            "Type" = "3:5"
+                            "ContextData" = "8:1;True=1;False=0"
+                            "Attributes" = "3:0"
+                            "Setting" = "3:0"
+                            "Value" = "3:1"
+                            "DefaultValue" = "3:1"
+                            "UsePlugInResources" = "11:TRUE"
+                            }
                         }
                     }
                 }
@@ -2269,7 +2105,7 @@
         }
         "MergeModule"
         {
-            "{CEE29DC0-9FBA-4B99-8D47-5BC643D9B626}:_82C652EDD26540C0BE365BD961EBC144"
+            "{CEE29DC0-9FBA-4B99-8D47-5BC643D9B626}:_CA9290C6891140349781FA66336D9693"
             {
             "UseDynamicProperties" = "11:TRUE"
             "IsDependency" = "11:FALSE"
@@ -2286,40 +2122,12 @@
         }
         "ProjectOutput"
         {
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_01338B64D440442C8884C3EBA5E45BDD"
-            {
-            "SourcePath" = "8:..\\NotifyIconWpf\\obj\\Debug\\Hardcodet.Wpf.TaskbarNotification.dll"
-            "TargetName" = "8:"
-            "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:FALSE"
-            "IsolateTo" = "8:"
-            "ProjectOutputGroupRegister" = "3:1"
-            "OutputConfiguration" = "8:"
-            "OutputGroupCanonicalName" = "8:Built"
-            "OutputProjectGuid" = "8:{7AC63864-7638-41C4-969C-D3197EF2BED9}"
-            "ShowKeyOutput" = "11:TRUE"
-                "ExcludeFilters"
-                {
-                }
-            }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_01750902BBBE465E847679780739BC9A"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_0F88A971EF2E4DB1BE1D6ADDDAE65107"
             {
             "SourcePath" = "8:"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2335,19 +2143,19 @@
             "IsolateTo" = "8:"
             "ProjectOutputGroupRegister" = "3:1"
             "OutputConfiguration" = "8:"
-            "OutputGroupCanonicalName" = "8:XmlSerializer"
+            "OutputGroupCanonicalName" = "8:ContentFiles"
             "OutputProjectGuid" = "8:{7AC63864-7638-41C4-969C-D3197EF2BED9}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_05F109449DB74903986C67D9BCC1CDE8"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_11BDAAF760654D3792A432B5EB874364"
             {
-            "SourcePath" = "8:..\\Libraries\\ParallelExtensionsExtras\\obj\\Debug\\ParallelExtensionsExtras.dll"
+            "SourcePath" = "8:..\\Pithos.Client.WPF\\obj\\x86\\Debug\\Pithos.Client.WPF.exe"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2362,20 +2170,20 @@
             "IsDependency" = "11:FALSE"
             "IsolateTo" = "8:"
             "ProjectOutputGroupRegister" = "3:1"
-            "OutputConfiguration" = "8:"
+            "OutputConfiguration" = "8:Debug|x86"
             "OutputGroupCanonicalName" = "8:Built"
-            "OutputProjectGuid" = "8:{C45218F8-09E7-4F57-85BC-5D8D2AC736A3}"
+            "OutputProjectGuid" = "8:{4D9406A3-50ED-4672-BB97-A0B3EA4946FE}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_16872CB621B445CAB0DA84DBC85AA1D0"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_1880A65BB9D14E0384DB618186985F0A"
             {
             "SourcePath" = "8:"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2392,18 +2200,18 @@
             "ProjectOutputGroupRegister" = "3:1"
             "OutputConfiguration" = "8:"
             "OutputGroupCanonicalName" = "8:LocalizedResourceDlls"
-            "OutputProjectGuid" = "8:{C8E2BC8B-C7F1-4222-855C-4B04A57FFDFD}"
+            "OutputProjectGuid" = "8:{4D9406A3-50ED-4672-BB97-A0B3EA4946FE}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_2ECA517A37C743829F87CCD9DAAC6E27"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_1BD6A9CD577C40098C968C8B464A03BC"
             {
-            "SourcePath" = "8:"
+            "SourcePath" = "8:..\\Pithos.ShellExtensions\\obj\\Debug\\Pithos.ShellExtensions.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2417,21 +2225,21 @@
             "Exclude" = "11:FALSE"
             "IsDependency" = "11:FALSE"
             "IsolateTo" = "8:"
-            "ProjectOutputGroupRegister" = "3:1"
+            "ProjectOutputGroupRegister" = "3:2"
             "OutputConfiguration" = "8:"
-            "OutputGroupCanonicalName" = "8:LocalizedResourceDlls"
-            "OutputProjectGuid" = "8:{C45218F8-09E7-4F57-85BC-5D8D2AC736A3}"
+            "OutputGroupCanonicalName" = "8:Built"
+            "OutputProjectGuid" = "8:{240B432F-1030-4623-BCC3-FF351D6C1B63}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_38A305F02A6643D195E8A0FC72B1C9EC"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_272C1C92B0E14C988A33CC3E6CF3FF4B"
             {
             "SourcePath" = "8:"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2447,19 +2255,19 @@
             "IsolateTo" = "8:"
             "ProjectOutputGroupRegister" = "3:1"
             "OutputConfiguration" = "8:"
-            "OutputGroupCanonicalName" = "8:LocalizedResourceDlls"
-            "OutputProjectGuid" = "8:{A9AE40FF-1A21-414A-9FE7-3BE13644CC6D}"
+            "OutputGroupCanonicalName" = "8:ContentFiles"
+            "OutputProjectGuid" = "8:{7EEFF32F-CCF8-436A-9E0B-F40434C09AF4}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_3DF745BD2E604118B0AA7BE126E7FB81"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_27775256C658428EB10B76E347766AD5"
             {
-            "SourcePath" = "8:"
+            "SourcePath" = "8:..\\Pithos.Core\\obj\\x86\\Debug\\Pithos.Core.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2474,20 +2282,20 @@
             "IsDependency" = "11:FALSE"
             "IsolateTo" = "8:"
             "ProjectOutputGroupRegister" = "3:1"
-            "OutputConfiguration" = "8:"
-            "OutputGroupCanonicalName" = "8:ContentFiles"
-            "OutputProjectGuid" = "8:{C8E2BC8B-C7F1-4222-855C-4B04A57FFDFD}"
+            "OutputConfiguration" = "8:Debug|x86"
+            "OutputGroupCanonicalName" = "8:Built"
+            "OutputProjectGuid" = "8:{142AF135-DF30-4563-B0AC-B604235AE874}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_465AEE9AAE044EF59F77C66345F5081D"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_2EFDF56855DD40F4B0E3A35A326698D5"
             {
             "SourcePath" = "8:"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2504,18 +2312,18 @@
             "ProjectOutputGroupRegister" = "3:1"
             "OutputConfiguration" = "8:"
             "OutputGroupCanonicalName" = "8:LocalizedResourceDlls"
-            "OutputProjectGuid" = "8:{4D9406A3-50ED-4672-BB97-A0B3EA4946FE}"
+            "OutputProjectGuid" = "8:{A9AE40FF-1A21-414A-9FE7-3BE13644CC6D}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_6DC1670B8C714220B8A63F21B3CD3FAE"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_33E50CBEE1E84C4EA5F5ADA9C735CE41"
             {
-            "SourcePath" = "8:"
+            "SourcePath" = "8:..\\Pithos.Interfaces\\obj\\Debug\\Pithos.Interfaces.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2531,19 +2339,19 @@
             "IsolateTo" = "8:"
             "ProjectOutputGroupRegister" = "3:1"
             "OutputConfiguration" = "8:"
-            "OutputGroupCanonicalName" = "8:LocalizedResourceDlls"
+            "OutputGroupCanonicalName" = "8:Built"
             "OutputProjectGuid" = "8:{7EEFF32F-CCF8-436A-9E0B-F40434C09AF4}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_704585CC9F704F5ABCB5287E2AFFF5FF"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_4052F52D0C6C47B58168A7D3A4458C88"
             {
             "SourcePath" = "8:"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2560,18 +2368,18 @@
             "ProjectOutputGroupRegister" = "3:1"
             "OutputConfiguration" = "8:"
             "OutputGroupCanonicalName" = "8:XmlSerializer"
-            "OutputProjectGuid" = "8:{7EEFF32F-CCF8-436A-9E0B-F40434C09AF4}"
+            "OutputProjectGuid" = "8:{142AF135-DF30-4563-B0AC-B604235AE874}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_7119F9D5990B46C2877DE2961860A7CE"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_4244B205EC924DEFAF33405F21268321"
             {
-            "SourcePath" = "8:..\\Pithos.Interfaces\\obj\\Debug\\Pithos.Interfaces.dll"
+            "SourcePath" = "8:"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2587,19 +2395,19 @@
             "IsolateTo" = "8:"
             "ProjectOutputGroupRegister" = "3:1"
             "OutputConfiguration" = "8:"
-            "OutputGroupCanonicalName" = "8:Built"
-            "OutputProjectGuid" = "8:{7EEFF32F-CCF8-436A-9E0B-F40434C09AF4}"
+            "OutputGroupCanonicalName" = "8:ContentFiles"
+            "OutputProjectGuid" = "8:{A9AE40FF-1A21-414A-9FE7-3BE13644CC6D}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_7354E6D078824810AD00B0E09793DD85"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_4710AE6B387242DEA04B2E1C82906BB9"
             {
-            "SourcePath" = "8:..\\Pithos.Client.Test\\obj\\Debug\\Pithos.Client.Test.dll"
+            "SourcePath" = "8:"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2615,19 +2423,19 @@
             "IsolateTo" = "8:"
             "ProjectOutputGroupRegister" = "3:1"
             "OutputConfiguration" = "8:"
-            "OutputGroupCanonicalName" = "8:Built"
-            "OutputProjectGuid" = "8:{822F885B-83E8-4A9A-B02E-0FEAE444D960}"
+            "OutputGroupCanonicalName" = "8:XmlSerializer"
+            "OutputProjectGuid" = "8:{C45218F8-09E7-4F57-85BC-5D8D2AC736A3}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_787084E70A9B43A6B9F5EEEE41EF071B"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_48CD648BF6BF4D7486886EFC016E46D5"
             {
             "SourcePath" = "8:"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2643,19 +2451,19 @@
             "IsolateTo" = "8:"
             "ProjectOutputGroupRegister" = "3:1"
             "OutputConfiguration" = "8:"
-            "OutputGroupCanonicalName" = "8:XmlSerializer"
-            "OutputProjectGuid" = "8:{240B432F-1030-4623-BCC3-FF351D6C1B63}"
+            "OutputGroupCanonicalName" = "8:LocalizedResourceDlls"
+            "OutputProjectGuid" = "8:{C45218F8-09E7-4F57-85BC-5D8D2AC736A3}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_78D2FC2F60444B409245D3B8F171C072"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_57B0C79AF4764B9F8C46B5C1BC75C69E"
             {
             "SourcePath" = "8:"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2672,18 +2480,18 @@
             "ProjectOutputGroupRegister" = "3:1"
             "OutputConfiguration" = "8:"
             "OutputGroupCanonicalName" = "8:ContentFiles"
-            "OutputProjectGuid" = "8:{240B432F-1030-4623-BCC3-FF351D6C1B63}"
+            "OutputProjectGuid" = "8:{C8E2BC8B-C7F1-4222-855C-4B04A57FFDFD}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_868E1A13E80D44E3BCC13EACE1A17D74"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_58D88A59DA3B46DD8C700A157B77F842"
             {
-            "SourcePath" = "8:..\\Pithos.Network\\obj\\Debug\\Pithos.Network.dll"
+            "SourcePath" = "8:"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2699,19 +2507,19 @@
             "IsolateTo" = "8:"
             "ProjectOutputGroupRegister" = "3:1"
             "OutputConfiguration" = "8:"
-            "OutputGroupCanonicalName" = "8:Built"
-            "OutputProjectGuid" = "8:{C8E2BC8B-C7F1-4222-855C-4B04A57FFDFD}"
+            "OutputGroupCanonicalName" = "8:ContentFiles"
+            "OutputProjectGuid" = "8:{4D9406A3-50ED-4672-BB97-A0B3EA4946FE}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_8829B3FD76B84B5A86946F5238545DD3"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_6A65C7F50E614771B97393F41D17D5B1"
             {
             "SourcePath" = "8:"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2727,19 +2535,19 @@
             "IsolateTo" = "8:"
             "ProjectOutputGroupRegister" = "3:1"
             "OutputConfiguration" = "8:"
-            "OutputGroupCanonicalName" = "8:XmlSerializer"
-            "OutputProjectGuid" = "8:{A9AE40FF-1A21-414A-9FE7-3BE13644CC6D}"
+            "OutputGroupCanonicalName" = "8:LocalizedResourceDlls"
+            "OutputProjectGuid" = "8:{240B432F-1030-4623-BCC3-FF351D6C1B63}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_886DD5758B3D450A9CC6BFAF0F612FB8"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_7EA5A6D68CE646F486FEA2270021F472"
             {
             "SourcePath" = "8:"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2756,18 +2564,18 @@
             "ProjectOutputGroupRegister" = "3:1"
             "OutputConfiguration" = "8:"
             "OutputGroupCanonicalName" = "8:LocalizedResourceDlls"
-            "OutputProjectGuid" = "8:{7AC63864-7638-41C4-969C-D3197EF2BED9}"
+            "OutputProjectGuid" = "8:{142AF135-DF30-4563-B0AC-B604235AE874}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_8D86C7D852A54D9E8F6D5EE077FF9987"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_7EE0A8196B844AA59399DDFA0D4D5750"
             {
             "SourcePath" = "8:..\\Libraries\\Json40r2\\Source\\Src\\Newtonsoft.Json\\obj\\Debug\\Newtonsoft.Json.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2790,12 +2598,12 @@
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_8FCA69FF84954901A0495613EC90F426"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_82059FBFDD444756ADD5407A2BFA356F"
             {
             "SourcePath" = "8:"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2811,19 +2619,19 @@
             "IsolateTo" = "8:"
             "ProjectOutputGroupRegister" = "3:1"
             "OutputConfiguration" = "8:"
-            "OutputGroupCanonicalName" = "8:ContentFiles"
-            "OutputProjectGuid" = "8:{C45218F8-09E7-4F57-85BC-5D8D2AC736A3}"
+            "OutputGroupCanonicalName" = "8:XmlSerializer"
+            "OutputProjectGuid" = "8:{7EEFF32F-CCF8-436A-9E0B-F40434C09AF4}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_9A29DF4628BA4912AFC0C77532E90CD5"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_8578E6C7CCB943B09A0FF555EE834C0E"
             {
-            "SourcePath" = "8:"
+            "SourcePath" = "8:..\\NotifyIconWpf\\obj\\Debug\\Hardcodet.Wpf.TaskbarNotification.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2839,19 +2647,19 @@
             "IsolateTo" = "8:"
             "ProjectOutputGroupRegister" = "3:1"
             "OutputConfiguration" = "8:"
-            "OutputGroupCanonicalName" = "8:LocalizedResourceDlls"
-            "OutputProjectGuid" = "8:{240B432F-1030-4623-BCC3-FF351D6C1B63}"
+            "OutputGroupCanonicalName" = "8:Built"
+            "OutputProjectGuid" = "8:{7AC63864-7638-41C4-969C-D3197EF2BED9}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_A0707E7EC88D44F8B2C37CC6FEDC2039"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_94AA36837D43484CB44D6B7CFA84E2DC"
             {
-            "SourcePath" = "8:..\\Pithos.Client.WPF\\obj\\Debug\\Pithos.Client.WPF.exe"
+            "SourcePath" = "8:"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2867,19 +2675,19 @@
             "IsolateTo" = "8:"
             "ProjectOutputGroupRegister" = "3:1"
             "OutputConfiguration" = "8:"
-            "OutputGroupCanonicalName" = "8:Built"
+            "OutputGroupCanonicalName" = "8:XmlSerializer"
             "OutputProjectGuid" = "8:{4D9406A3-50ED-4672-BB97-A0B3EA4946FE}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_A25251A52A0E42F6A7F56770EA24D64F"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_9C9414F9AC6F40DD9B23916692C951BE"
             {
-            "SourcePath" = "8:"
+            "SourcePath" = "8:..\\Pithos.Network\\obj\\Debug\\Pithos.Network.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2895,19 +2703,19 @@
             "IsolateTo" = "8:"
             "ProjectOutputGroupRegister" = "3:1"
             "OutputConfiguration" = "8:"
-            "OutputGroupCanonicalName" = "8:ContentFiles"
-            "OutputProjectGuid" = "8:{822F885B-83E8-4A9A-B02E-0FEAE444D960}"
+            "OutputGroupCanonicalName" = "8:Built"
+            "OutputProjectGuid" = "8:{C8E2BC8B-C7F1-4222-855C-4B04A57FFDFD}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_AF5E4FCEE2F449AAA2A27744083EAC30"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_B358D62D742B4A46B9805E3CB97AEABB"
             {
-            "SourcePath" = "8:..\\Pithos.Core\\obj\\Debug\\Pithos.Core.dll"
+            "SourcePath" = "8:"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2923,19 +2731,19 @@
             "IsolateTo" = "8:"
             "ProjectOutputGroupRegister" = "3:1"
             "OutputConfiguration" = "8:"
-            "OutputGroupCanonicalName" = "8:Built"
-            "OutputProjectGuid" = "8:{142AF135-DF30-4563-B0AC-B604235AE874}"
+            "OutputGroupCanonicalName" = "8:XmlSerializer"
+            "OutputProjectGuid" = "8:{240B432F-1030-4623-BCC3-FF351D6C1B63}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_B79AE248A167496CB80FA599CAB3CF0E"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_B72F70CAAFB941ECB02BABC0095D074D"
             {
-            "SourcePath" = "8:"
+            "SourcePath" = "8:..\\Libraries\\ParallelExtensionsExtras\\obj\\Debug\\ParallelExtensionsExtras.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
@@ -2951,19 +2759,19 @@
             "IsolateTo" = "8:"
             "ProjectOutputGroupRegister" = "3:1"
             "OutputConfiguration" = "8:"
-            "OutputGroupCanonicalName" = "8:ContentFiles"
-            "OutputProjectGuid" = "8:{A9AE40FF-1A21-414A-9FE7-3BE13644CC6D}"
+            "OutputGroupCanonicalName" = "8:Built"
+            "OutputProjectGuid" = "8:{C45218F8-09E7-4F57-85BC-5D8D2AC736A3}"
             "ShowKeyOutput" = "11:TRUE"
                 "ExcludeFilters"
                 {
                 }
             }
-            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_BB3357F484FD4433852834435A1F6E52"
+            "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_C51FB5F8279F4875BB48AEB681BDB274"
             {
             "SourcePath" = "8:"
             "TargetName" = "8:"
             "Tag" = "8:"
-            "Folder" = "8:_B9F83CCBA8E04119992251B9434D749E"
+            "Folder" = "8:_FA3E4362540D4C76A5914763C178A3BD"
             "Condition" = "8:"
             "Transitive" = "11:FALSE"
             "Vital" = "11:TRUE"
